--[[
************************************************************************
Project				: Broker_Extractor
Author				: zhinjio
Project Revision	: r5
Project Date		: 20081123215920

File				: MinedData.lua
Commit Author		: zhinjio
Commit Revision		: 5
Commit Date			: 20081123215920
************************************************************************
Description	:
	Mined data from wowhead
TODO		:
************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local MODNAME = "Extractor"
local Extractor = LibStub( "AceAddon-3.0" ):GetAddon( MODNAME, "AceEvent-3.0" )
local L = LibStub:GetLibrary( "AceLocale-3.0" ):GetLocale( MODNAME )

local addon = Extractor
if not addon.MinedData then
	addon.MinedData = {}
end
addon.MinedData = {
	-- Ore
	[2770]	= {	-- Copper Ore
		times = 46474,	yielded = {
			[24186] = { times = 45785,	min = 1,	max = 1 },	-- Copper Powder
			[774]	= { times = 23257,	min = 1,	max = 1	},	-- Malachite
			[818]	= { times = 23216,	min = 1,	max = 1 },	-- Tigerseye
			[1210]	= { times = 4567,	min = 1,	max = 1 },	-- Shadowgem
		},
	},
	[2771]	= {	-- Tin Ore
		times = 29643,	yielded = {
			[24188]	= { times = 29174,	min = 1,	max = 1 },	-- Tin Powder
			[1206]	= { times = 11377,	min = 1,	max = 2 },	-- Moss Agate
			[1705]	= { times = 11214,	min = 1,	max = 2 },	-- Lesser Moonstone
			[1210]	= { times = 10999,	min = 1,	max = 2 },	-- Shadowgem
			[3864]	= { times = 1022,	min = 1,	max = 1 },	-- Citrine
			[1529]	= { times = 1011,	min = 1,	max = 1 },	-- Jade
			[7909]	= { times = 941,	min = 1,	max = 1 },	-- Aquamarine
		},
	},
	[2772]	= {	-- Iron Ore
		times = 37252,	yielded = {
			[24190]	= { times = 36654,	min = 1,	max = 1 },	-- Iron Powder
			[1529]	= { times = 12737,	min = 1,	max = 2 },	-- Jade
			[1705]	= { times = 12586,	min = 1,	max = 2 },	-- Lesser Moonstone
			[3864]	= { times = 12471,	min = 1,	max = 2 },	-- Citrine
			[7909]	= { times = 1893,	min = 1,	max = 1 },	-- Aquamarine
			[7910]	= { times = 1887,	min = 1,	max = 1 },	-- Star Ruby
		},
	},
	[3858]	= {	-- Mithril Ore
		times = 32881,	yielded = {
			[24234]	= { times = 32144,	min = 1,	max = 1 },	-- Mithril Powder
			[7909]	= { times = 11107,	min = 1,	max = 2 },	-- Aquamarine
			[7910]	= { times = 11102,	min = 1,	max = 2 },	-- Star Ruby
			[3864]	= { times = 10993,	min = 1,	max = 2 },	-- Citrine
			[12799]	= { times = 868,	min = 1,	max = 1 },	-- Large Opal
			[12361]	= { times = 821,	min = 1,	max = 1 },	-- Blue Sapphire
			[12800]	= { times = 807,	min = 1,	max = 1 },	-- Azerothian Diamond
			[12364]	= { times = 796,	min = 1,	max = 1 },	-- Huge Emerald
		},
	},
	[10620]	= {	-- Thorium Ore
		times = 34154,	yielded = {
			[24235]	= { times = 33320,	min = 1,	max = 1 },	-- Thorium Powder
			[7910]	= {	times = 8382,	min = 1,	max = 2 },	-- Star Ruby
			[12364]	= {	times = 6765,	min = 1,	max = 2 },	-- Huge Emerald
			[12799]	= {	times = 6754,	min = 1,	max = 2 },	-- Large Opal
			[12361]	= {	times = 6716,	min = 1,	max = 2 },	-- Blue Sapphire
			[12800]	= {	times = 6610,	min = 1,	max = 2 },	-- Azerothian Diamond
			[21929]	= {	times = 221,	min = 1,	max = 1 },	-- Flame Spessarite
			[23112]	= {	times = 218,	min = 1,	max = 1 },	-- Golden Draenite
			[23107]	= {	times = 207,	min = 1,	max = 1 },	-- Shadow Draenite
			[23079]	= {	times = 206,	min = 1,	max = 1 },	-- Deep Peridot
			[23077]	= {	times = 199,	min = 1,	max = 1 },	-- Blood Garnet
			[23117]	= {	times = 188,	min = 1,	max = 1 },	-- Azure Moonstone
		},
	},
	[23424]	= {	-- Fel Iron Ore
		times = 155020,	yielded = {
			[24242] = { times = 152295,	min = 1,	max = 1 },	-- Fel Iron Powder
			[21929] = { times = 27591,	min = 1,	max = 2 },	-- Flame Spessarite
			[23079] = { times = 27529,	min = 1,	max = 2 },	-- Deep Peridot
			[23112] = { times = 27213,	min = 1,	max = 2 },	-- Golden Draenite
			[23107] = { times = 26992,	min = 1,	max = 2 },	-- Shadow Draenite
			[23077] = { times = 26796,	min = 1,	max = 2 },	-- Blood Garnet
			[23117] = { times = 26149,	min = 1,	max = 2 },	-- Azure Moonstone
			[23439] = { times = 1793,	min = 1,	max = 1 },	-- Noble Topaz
			[23436] = { times = 1765,	min = 1,	max = 1 },	-- Living Ruby
			[23437] = { times = 1732,	min = 1,	max = 1 },	-- Talasite
			[23438] = { times = 1701,	min = 1,	max = 1 },	-- Star of Elune
			[23440] = { times = 1684,	min = 1,	max = 1 },	-- Dawnstone
			[23441] = { times = 1658,	min = 1,	max = 1 },	-- Nightseye
		},
	},
	[23425] = {	-- Adamantite Ore
		times = 529814,	yielded = {
			[24243] = { times = 529813,	min = 1,	max = 1 },	-- Adamantite Powder
			[21929] = { times = 98056,	min = 1,	max = 2 },	-- Flame Spessarite
			[23079] = { times = 97769,	min = 1,	max = 2 },	-- Deep Peridot
			[23077] = { times = 96678,	min = 1,	max = 2 },	-- Blood Garnet
			[23112] = { times = 96593,	min = 1,	max = 2 },	-- Golden Draenite
			[23107] = { times = 95733,	min = 1,	max = 2 },	-- Shadow Draenite
			[23117] = { times = 95715,	min = 1,	max = 2 },	-- Azure Moonstone
			[23437] = { times = 18683,	min = 1,	max = 1 },	-- Talasite
			[23439] = { times = 18447,	min = 1,	max = 1 },	-- Noble Topaz
			[23440] = { times = 18174,	min = 1,	max = 1 },	-- Dawnstone
			[23436] = { times = 17867,	min = 1,	max = 1 },	-- Living Ruby
			[23438] = { times = 17806,	min = 1,	max = 1 },	-- Star of Elune
			[23441] = { times = 17597,	min = 1,	max = 1 },	-- Nightseye
		},
	},
	[36909]	= {	-- Cobalt Ore
		times = 2203,	yielded = {
			[36923] = { times = 554,	min = 1,	max = 2 },	-- Chalcedony
			[36929] = { times = 503,	min = 1,	max = 2 },	-- Huge Citrine
			[36917] = { times = 493,	min = 1,	max = 2 },	-- Bloodstone
			[36926] = { times = 486,	min = 1,	max = 2 },	-- Shadow Crystal
			[36932] = { times = 430,	min = 1,	max = 2 },	-- Dark Jade
			[36920] = { times = 427,	min = 1,	max = 2 },	-- Sun Crystal
			[36933] = { times = 39,		min = 1,	max = 1 },	-- Forest Emerald
			[36918] = { times = 37,		min = 1,	max = 1 },	-- Scarlet Ruby
			[36927] = { times = 36,		min = 1,	max = 1 },	-- Twilight Opal
			[36921] = { times = 23,		min = 1,	max = 1 },	-- Autumn's Glow
			[36924] = { times = 21,		min = 1,	max = 1 },	-- Sky Sapphire
			[36930] = { times = 16,		min = 1,	max = 1 },	-- Monarch Topaz
		},
	},
	[36912] = {	-- Saronite Ore
		times = 1561,	yielded = {
			[36929] = { times = 305,	min = 1,	max = 2 },	-- Huge Citrine
			[36932] = { times = 301,	min = 1,	max = 2 },	-- Dark Jade
			[36923] = { times = 283,	min = 1,	max = 2 },	-- Chalcedony
			[36920] = { times = 282,	min = 1,	max = 2 },	-- Sun Crystal
			[36926] = { times = 268,	min = 1,	max = 2 },	-- Shadow Crystal
			[36917] = { times = 265,	min = 1,	max = 2 },	-- Bloodstone
			[36933] = { times = 78,		min = 1,	max = 1 },	-- Forest Emerald
			[36918] = { times = 62,		min = 1,	max = 1 },	-- Scarlet Ruby
			[36924] = { times = 59,		min = 1,	max = 1 },	-- Sky Sapphire
			[36930] = { times = 58,		min = 1,	max = 1 },	-- Monarch Topaz
			[36921] = { times = 49,		min = 1,	max = 1 },	-- Autumn's Glow
			[36927] = { times = 45,		min = 1,	max = 1 },	-- Twilight Opal
		},
	},
	-- Herbs
	[22710] = {	-- Bloodthistle
		times = 16,		yielded = {
			[39151]	= { times = 16,		min = 2,	max = 3 },	-- Alabaster Pigment
		},
	},
	[2447]	= {	-- Peacebloom
		times = 15395,		yielded = {
			[39151]	= { times = 15395,	min = 2,	max = 3 },	-- Alabaster Pigment
		},
	},
	[765]	= {	-- Silverleaf
		times = 17906,		yielded = {
			[39151]	= { times = 17906,	min = 2,	max = 3 },	-- Alabaster Pigment
		},
	},
	[2449]	= {	-- Earthroot
		times = 8603,		yielded = {
			[39151]	= { times = 8603,	min = 2,	max = 4 },	-- Alabaster Pigment
		},
	},
	[785]	= {	-- Mageroyal
		times = 7298,		yielded = {
			[39334]	= { times = 6517,	min = 2,	max = 3 },	-- Dusky Pigment
			[43103] = { times = 1656,	min = 1,	max = 3 },	-- Verdant Pigment
			[39151]	= { times = 781,	min = 2,	max = 4 },	-- Alabaster Pigment
		},
	},
	[2450]	= {	-- Briarthorn
		times = 8146,		yielded = {
			[39334]	= { times = 8145,	min = 2,	max = 4 },	-- Dusky Pigment
			[43103] = { times = 1861,	min = 1,	max = 3 },	-- Verdant Pigment
		},
	},
	[2452]	= {	-- Swiftthistle
		times = 3951,		yielded = {
			[39334]	= { times = 3951,	min = 2,	max = 4 },	-- Dusky Pigment
			[43103] = { times = 902,	min = 1,	max = 3 },	-- Verdant Pigment
		},
	},
	[2453]	= {	-- Bruiseweed
		times = 7115,		yielded = {
			[39334]	= { times = 7115,	min = 2,	max = 4 },	-- Dusky Pigment
			[43103] = { times = 3423,	min = 1,	max = 3 },	-- Verdant Pigment
		},
	},
	[3820]	= {	-- Stranglekelp
		times = 3556,		yielded = {
			[39334]	= { times = 3556,	min = 2,	max = 4 },	-- Dusky Pigment
			[43103] = { times = 1736,	min = 1,	max = 3 },	-- Verdant Pigment
		},
	},
	[3369]	= {	-- Grave Moss
		times = 1410,		yielded = {
			[39338]	= { times = 1410,	min = 2,	max = 3 },	-- Golden Pigment
			[43104]	= { times = 362,	min = 1,	max = 3 },	-- Burnt Pigment
		},
	},
	[3355]	= {	-- Wild Steelbloom
		times = 4109,		yielded = {
			[39338]	= { times = 4107,	min = 2,	max = 3 },	-- Golden Pigment
			[43104]	= { times = 1057,	min = 1,	max = 3 },	-- Burnt Pigment
		},
	},
	[3356]	= {	-- Kingsblood
		times = 10204,		yielded = {
			[39338]	= { times = 10200,	min = 2,	max = 4 },	-- Golden Pigment
			[43104]	= { times = 5086,	min = 1,	max = 3 },	-- Burnt Pigment
		},
	},
	[3357]	= {	-- Liferoot
		times = 6702,		yielded = {
			[39338]	= { times = 6702,	min = 2,	max = 4 },	-- Golden Pigment
			[43104]	= { times = 3351,	min = 1,	max = 3 },	-- Burnt Pigment
		},
	},
	[3818]	= {	-- Fadeleaf
		times = 4206,		yielded = {
			[39339]	= { times = 4197,	min = 2,	max = 3 },	-- Emerald Pigment
			[43105]	= { times = 1067,	min = 1,	max = 3 },	-- Indigo Pigment
		},
	},
	[3821]	= {	-- Goldthorn
		times = 6137,		yielded = {
			[39339]	= { times = 6134,	min = 2,	max = 3 },	-- Emerald Pigment
			[43105]	= { times = 1651,	min = 1,	max = 3 },	-- Indigo Pigment
		},
	},
	[3358]	= {	-- Khadgar's Whisker
		times = 6850,		yielded = {
			[39339]	= { times = 6848,	min = 2,	max = 4 },	-- Emerald Pigment
			[43105]	= { times = 3431,	min = 1,	max = 3 },	-- Indigo Pigment
		},
	},
	[3819]	= {	-- Wintersbite
		times = 719,		yielded = {
			[39339]	= { times = 718,	min = 2,	max = 4 },	-- Emerald Pigment
			[43105]	= { times = 332,	min = 1,	max = 3 },	-- Indigo Pigment
		},
	},
	[4625]	= { -- Firebloom
		times = 2394,		yielded = {
			[39340]	= { times = 2391,	min = 2,	max = 3 },	-- Violet Pigment
			[43106]	= { times = 669,	min = 1,	max = 3 },	-- Ruby Pigment
		},
	},
	[8831]	= { -- Purple Lotus
		times = 3476,		yielded = {
			[39340]	= { times = 3469,	min = 2,	max = 3 },	-- Violet Pigment
			[43106]	= { times = 887,	min = 1,	max = 3 },	-- Ruby Pigment
		},
	},
	[8836]	= { -- Arthas' Tears
		times = 1241,		yielded = {
			[39340]	= { times = 1240,	min = 2,	max = 3 },	-- Violet Pigment
			[43106]	= { times = 344,	min = 1,	max = 3 },	-- Ruby Pigment
		},
	},
	[8838]	= { -- Sungrass
		times = 4025,		yielded = {
			[39340]	= { times = 4012,	min = 2,	max = 3 },	-- Violet Pigment
			[43106]	= { times = 1051,	min = 1,	max = 3 },	-- Ruby Pigment
		},
	},
	[8839]	= { -- Blindweed
		times = 3596,		yielded = {
			[39340]	= { times = 3596,	min = 2,	max = 4 },	-- Violet Pigment
			[43106]	= { times = 1817,	min = 1,	max = 3 },	-- Ruby Pigment
		},
	},
	[8845]	= { -- Ghost Mushroom
		times = 586,		yielded = {
			[39340]	= { times = 585,	min = 2,	max = 4 },	-- Violet Pigment
			[43106]	= { times = 306,	min = 1,	max = 3 },	-- Ruby Pigment
		},
	},
	[8846]	= { -- Gromsblood
		times = 931,		yielded = {
			[39340]	= { times = 929,	min = 2,	max = 4 },	-- Violet Pigment
			[43106]	= { times = 454,	min = 1,	max = 3 },	-- Ruby Pigment
		},
	},
	[13464]	= { -- Golden Sansam
		times = 3002,		yielded = {
			[39341]	= { times = 3000,	min = 2,	max = 3 },	-- Silvery Pigment
			[43107]	= { times = 788,	min = 1,	max = 3 },	-- Sapphire Pigment
		},
	},
	[13463]	= { -- Dreamfoil
		times = 3628,		yielded = {
			[39341]	= { times = 3624,	min = 2,	max = 3 },	-- Silvery Pigment
			[43107]	= { times = 959,	min = 1,	max = 3 },	-- Sapphire Pigment
		},
	},
	[13465]	= { -- Mountain Silversage
		times = 1921,		yielded = {
			[39341]	= { times = 1918,	min = 2,	max = 4 },	-- Silvery Pigment
			[43107]	= { times = 959,	min = 1,	max = 3 },	-- Sapphire Pigment
		},
	},
	[13466]	= { -- Plaguebloom
		times = 1870,		yielded = {
			[39341]	= { times = 1863,	min = 2,	max = 4 },	-- Silvery Pigment
			[43107]	= { times = 918,	min = 1,	max = 3 },	-- Sapphire Pigment
		},
	},
	[13467]	= { -- Icecap
		times = 1319,		yielded = {
			[39341]	= { times = 1312,	min = 2,	max = 4 },	-- Silvery Pigment
			[43107]	= { times = 621,	min = 1,	max = 3 },	-- Sapphire Pigment
		},
	},
	[22786] = {	-- Dreaming Glory
		times = 3592,		yielded = {
			[39342] = { times = 3588,	min = 2,	max = 3 },	-- Nether Pigment
			[43108] = { times = 881,	min = 1,	max = 3 },	-- Ebon Pigment
		}
	},
	[22785] = {	-- Felweed
		times = 9079,		yielded = {
			[39342] = { times = 9073,	min = 2,	max = 4 },	-- Nether Pigment
			[43108] = { times = 2253,	min = 1,	max = 3 },	-- Ebon Pigment
		}
	},
	[22789] = {	-- Terocone
		times = 789,		yielded = {
			[39342] = { times = 789,	min = 2,	max = 3 },	-- Nether Pigment
			[43108] = { times = 210,	min = 1,	max = 3 },	-- Ebon Pigment
		}
	},
	[22787] = {	-- Ragveil
		times = 1398,		yielded = {
			[39342] = { times = 1398,	min = 2,	max = 3 },	-- Nether Pigment
			[43108] = { times = 350,	min = 1,	max = 3 },	-- Ebon Pigment
		}
	},
	[22790] = {	-- Ancient Lichen
		times = 900,		yielded = {
			[39342] = { times = 900,	min = 2,	max = 4 },	-- Nether Pigment
			[43108] = { times = 412,	min = 1,	max = 3 },	-- Ebon Pigment
		}
	},
	[22793] = {	-- Mana Thistle
		times = 1392,		yielded = {
			[39342] = { times = 1391,	min = 2,	max = 3 },	-- Nether Pigment
			[43108] = { times = 730,	min = 1,	max = 3 },	-- Ebon Pigment
		}
	},
	[22791] = {	-- Netherbloom
		times = 412,		yielded = {
			[39342] = { times = 412,	min = 2,	max = 4 },	-- Nether Pigment
			[43108] = { times = 203,	min = 1,	max = 3 },	-- Ebon Pigment
		}
	},
	[22792] = {	-- Nightmare Vine
		times = 610,		yielded = {
			[39342] = { times = 610,	min = 2,	max = 4 },	-- Nether Pigment
			[43108] = { times = 298,	min = 1,	max = 3 },	-- Ebon Pigment
		}
	},
	[37921]	= {	-- Deadnettle
		times = 276,		yielded = {
			[39343] = { times = 255,	min = 2,	max = 3 },	-- Azure Pigment
			[43109] = { times = 88,		min = 1,	max = 3 },	-- Icy Pigment
		},
	},
	[36901]	= {	-- Goldclover
		times = 321,		yielded = {
			[39343] = { times = 288,	min = 2,	max = 3 },	-- Azure Pigment
			[43109] = { times = 90,		min = 1,	max = 3 },	-- Icy Pigment
		},
	},
	[36907]	= {	-- Talandra's Rose
		times = 121,		yielded = {
			[39343] = { times = 110,	min = 2,	max = 3 },	-- Azure Pigment
			[43109] = { times = 34,		min = 1,	max = 3 },	-- Icy Pigment
		},
	},
	[36904]	= {	-- Tiger Lily
		times = 330,		yielded = {
			[39343] = { times = 308,	min = 2,	max = 3 },	-- Azure Pigment
			[43109] = { times = 90,		min = 1,	max = 3 },	-- Icy Pigment
		},
	},
	[36903]	= {	-- Adder's Tongue
		times = 253,		yielded = {
			[39343] = { times = 222,	min = 2,	max = 4 },	-- Azure Pigment
			[43109] = { times = 152,	min = 1,	max = 4 },	-- Icy Pigment
		},
	},
	[36906]	= {	-- Icethorn
		times = 57,		yielded = {
			[39343] = { times = 57,		min = 2,	max = 4 },	-- Azure Pigment
			[43109] = { times = 26,		min = 1,	max = 3 },	-- Icy Pigment
		},
	},
	[36905]	= {	-- Lichbloom
		times = 54,		yielded = {
			[39343] = { times = 54,		min = 2,	max = 4 },	-- Azure Pigment
			[43109] = { times = 25,		min = 1,	max = 1 },	-- Icy Pigment
		},
	},
	--[[ don't include yet, wait until there's some data
	[36902]	= {	-- Constrictor Grass
		times = 0,		yielded = {
			[39343] = { times = 0,		min = 0,	max = 0 },	-- Azure Pigment
			[43109] = { times = 90,		min = 1,	max = 3 },	-- Icy Pigment
		},
	}, ]]--
}
if not addon.MinedResults then
	addon.MinedResults = {}
end
addon.MinedResults = {
	-- Powders
	[24186]	= {	-- Copper Powder
		[2770]	= { tries =	46474,	yields = 45785,		min = 1,	max = 1 },	-- Copper Ore
	},
	[24188]	= {	-- Tin Powder
		[2771]	= { tries = 29643,	yields = 29174,		min = 1,	max = 1 },	-- Tin Ore
	},
	[24190]	= {	-- Iron Powder
		[2772]	= { tries = 37252,	yields = 36654,		min = 1,	max = 1 },	-- Iron Ore
	},
	[24234]	= {	-- Mithril Powder
		[3858]	= { tries = 32881,	yields = 32144,		min = 1,	max = 1 },	-- Mithril Ore
		[10620]	= {	tries = 34154,	yields = 33320,		min = 1,	max = 1 },	-- Thorium Ore
	},
	[24242] = {	-- Fel Iron Powder
		[23424] = {	tries = 155020,	yields = 152295,	min = 1,	max = 1 },	-- Fel Iron Ore
	},
	[24243] = {	-- Adamantite Powder
		[23425] = { tries = 529814,	yields = 529813,	min = 1,	max = 1 },	-- Adamantite Ore
	},
	-- Gems
	[1705]	= {	-- Lesser Moonstone
		[2771]	= { tries = 29643,	yields = 11214,		min = 1,	max = 2 },	-- Tin Ore
		[2772]	= { tries = 37252,	yields = 12586,		min = 1,	max = 2 },	-- Iron Ore
	},
	[774]	= { -- Malachite
		[2770]	= { tries = 46474,	yields = 23257,		min = 1,	max = 1 },	-- Copper Ore
	},
	[1210]	= { -- Shadowgem
		[2770]	= { tries = 46474,	yields = 4567,		min = 1,	max = 1 },	-- Copper Ore
		[2771]	= { tries = 29643,	yields = 10999,		min = 1,	max = 2 },	-- Tin Ore
	},
	[818]	= { -- Tigerseye
		[2770]	= {	tries = 46474,	yields = 23216,		min = 1,	max = 1 },	-- Copper Ore
	},
	[7909]	= {	-- Aquamarine
		[2771]	= { tries = 29643,	yields = 941,		min = 1,	max = 1 },	-- Tin Ore
		[2772]	= { tries = 37252,	yields = 1893,		min = 1,	max = 1 },	-- Iron Ore
		[3858]	= { tries = 32881,	yields = 11107,		min = 1,	max = 2 },	-- Mithril Ore
	},
	[3864]	= {	-- Citrine
		[2771]	= { tries = 29643,	yields = 1022,		min = 1,	max = 1 },	-- Tin Ore
		[2772]	= { tries = 37252,	yields = 12471,		min = 1,	max = 2 },	-- Iron Ore
		[3858]	= { tries = 32881,	yields = 10993,		min = 1,	max = 2 },	-- Mithril Ore
	},
	[1529]	= {	-- Jade
		[2771]	= { tries = 29643,	yields = 1011,		min = 1,	max = 1 },	-- Tin Ore
		[2772]	= { tries = 37252,	yields = 12737,		min = 1,	max = 2 },	-- Iron Ore
	},
	[1206]	= {	-- Moss Agate
		[2771]	= { tries = 29643,	yields = 11377,		min = 1,	max = 2 },	-- Tin Ore
	},
	[12800]	= {	-- Azerothian Diamond
		[3858]	= { tries = 32881,	yields = 807,		min = 1,	max = 1 },	-- Mithril Ore
		[10620]	= {	tries = 34154,	yields = 6610,		min = 1,	max = 2 },	-- Thorium Ore
	},
	[12361]	= {	-- Blue Sapphire
		[3858]	= { tries = 32881,	yields = 821,		min = 1,	max = 1 },	-- Mithril Ore
		[10620]	= {	tries = 34154,	yields = 6716,		min = 1,	max = 2 },	-- Thorium Ore
	},
	[12364]	= {	-- Huge Emerald
		[3858]	= { tries = 32881,	yields = 796,		min = 1,	max = 1 },	-- Mithril Ore
		[10620]	= {	tries = 34154,	yields = 6765,		min = 1,	max = 2 },	-- Thorium Ore
	},
	[12799]	= {	-- Large Opal
		[3858]	= { tries = 32881,	yields = 868,		min = 1,	max = 1 },	-- Mithril Ore
		[10620]	= {	tries = 34154,	yields = 6754,		min = 1,	max = 2 },	-- Thorium Ore
	},
	[7910]	= {	-- Star Ruby
		[2772]	= { tries = 37252,	yields = 1887,		min = 1,	max = 2 },	-- Iron Ore
		[3858]	= { tries = 32881,	yields = 11102,		min = 1,	max = 2 },	-- Mithril Ore
		[10620]	= {	tries = 34154,	yields = 8382,		min = 1,	max = 2 },	-- Thorium Ore
	},
	[23117]	= {	-- Azure Moonstone
		[10620]	= {	tries = 34154,	yields = 188,		min = 1,	max = 1 },	-- Thorium Ore
		[23424] = {	tries = 155020,	yields = 26149,		min = 1,	max = 2 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 95715,		min = 1,	max = 2 },	-- Adamantite Ore
	},
	[23077]	= {	-- Blood Garnet
		[10620]	= {	tries = 34154,	yields = 199,		min = 1,	max = 1 },	-- Thorium Ore
		[23424] = {	tries = 155020,	yields = 26796,		min = 1,	max = 2 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 96678,		min = 1,	max = 2 },	-- Adamantite Ore
	},
	[23079]	= {	-- Deep Peridot
		[10620]	= {	tries = 34154,	yields = 206,		min = 1,	max = 1 },	-- Thorium Ore
		[23424] = {	tries = 155020,	yields = 27529,		min = 1,	max = 2 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 97769,		min = 1,	max = 2 },	-- Adamantite Ore
	},
	[21929]	= {	-- Flame Spessarite
		[10620]	= {	tries = 34154,	yields = 221,		min = 1,	max = 1 },	-- Thorium Ore
		[23424] = {	tries = 155020,	yields = 27591,		min = 1,	max = 2 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 98056,		min = 1,	max = 2 },	-- Adamantite Ore
	},
	[23112]	= {	-- Golden Draenite
		[10620]	= {	tries = 34154,	yields = 218,		min = 1,	max = 1 },	-- Thorium Ore
		[23424] = {	tries = 155020,	yields = 27213,		min = 1,	max = 2 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 96593,		min = 1,	max = 2 },	-- Adamantite Ore
	},
	[23107]	= {	-- Shadow Draenite
		[10620]	= {	tries = 34154,	yields = 207,		min = 1,	max = 1 },	-- Thorium Ore
		[23424] = {	tries = 155020,	yields = 26992,		min = 1,	max = 2 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 95733,		min = 1,	max = 2 },	-- Adamantite Ore
	},
	[23440] = {	-- Dawnstone
		[23424] = {	tries = 155020,	yields = 1684,		min = 1,	max = 1 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 18174,		min = 1,	max = 1 },	-- Adamantite Ore
	},
	[23436] = {	-- Living Ruby
		[23424] = {	tries = 155020,	yields = 1765,		min = 1,	max = 1 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 17867,		min = 1,	max = 1 },	-- Adamantite Ore
	},
	[23441] = {	-- Nightseye
		[23424] = {	tries = 155020,	yields = 1658,		min = 1,	max = 1 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 17597,		min = 1,	max = 1 },	-- Adamantite Ore
	},
	[23439] = {	-- Noble Topaz
		[23424] = {	tries = 155020,	yields = 1793,		min = 1,	max = 1 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 18447,		min = 1,	max = 1 },	-- Adamantite Ore
	},
	[23438] = {	-- Star of Elune
		[23424] = {	tries = 155020,	yields = 1701,		min = 1,	max = 1 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 17806,		min = 1,	max = 1 },	-- Adamantite Ore
	},
	[23437] = {	-- Talasite
		[23424] = {	tries = 155020,	yields = 1732,		min = 1,	max = 1 },	-- Fel Iron Ore
		[23425] = { tries = 529814,	yields = 18683,		min = 1,	max = 1 },	-- Adamantite Ore
	},
	[36917] = { -- Bloodstone
		[36909] = { tries = 2203,	yields = 493,		min = 1,	max = 2 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 265,		min = 1,	max = 2 },	-- Saronite Ore
	},
	[36923] = { -- Chalcedony
		[36909] = { tries = 2203,	yields = 554,		min = 1,	max = 2 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 283,		min = 1,	max = 2 },	-- Saronite Ore
	},
	[36932] = { -- Dark Jade
		[36909] = { tries = 2203,	yields = 430,		min = 1,	max = 2 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 301,		min = 1,	max = 2 },	-- Saronite Ore
	},
	[36929] = { -- Huge Citrine
		[36909] = { tries = 2203,	yields = 503,		min = 1,	max = 2 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 305,		min = 1,	max = 2 },	-- Saronite Ore
	},
	[36926] = { -- Shadow Crystal
		[36909] = { tries = 2203,	yields = 486,		min = 1,	max = 2 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 268,		min = 1,	max = 2 },	-- Saronite Ore
	},
	[36920] = { -- Sun Crystal
		[36909] = { tries = 2203,	yields = 427,		min = 1,	max = 2 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 282,		min = 1,	max = 2 },	-- Saronite Ore
	},
	[36921] = { -- Autumn's Glow
		[36909] = { tries = 2203,	yields = 23,		min = 1,	max = 1 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 49,		min = 1,	max = 1 },	-- Saronite Ore
	},
	[36933] = { -- Forest Emerald
		[36909] = { tries = 2203,	yields = 39,		min = 1,	max = 1 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 78,		min = 1,	max = 1 },	-- Saronite Ore
	},
	[36930] = { -- Monarch Topaz
		[36909] = { tries = 2203,	yields = 16,		min = 1,	max = 1 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 58,		min = 1,	max = 1 },	-- Saronite Ore
	},
	[36918] = { -- Scarlet Ruby
		[36909] = { tries = 2203,	yields = 37,		min = 1,	max = 1 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 62,		min = 1,	max = 1 },	-- Saronite Ore
	},
	[36924] = { -- Sky Sapphire
		[36909] = { tries = 2203,	yields = 21,		min = 1,	max = 1 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 59,		min = 1,	max = 1 },	-- Saronite Ore
	},
	[36927] = { -- Twilight Opal
		[36909] = { tries = 2203,	yields = 36,		min = 1,	max = 1 },	-- Cobalt Ore
		[36912] = { tries = 1561,	yields = 45,		min = 1,	max = 1 },	-- Saronite Ore
	},
	-- Pigments
	[39151] = {	-- Alabaster Pigment
		[22710] = { tries = 16,		yields = 16,		min = 2,	max = 3 },	-- Bloodthistle
		[2447]	= { tries = 15395,	yields = 15395,		min = 2,	max = 3 },	-- Peacebloom
		[765]	= { tries = 17906,	yields = 17906,		min = 2,	max = 3 },	-- Silverleaf
		[2449]	= { tries = 8603,	yields = 8603,		min = 2,	max = 4 },	-- Earthroot
		[785]	= { tries = 7298,	yields = 781,		min = 2,	max = 4 },	-- Mageroyal
	},
	[39334] = { -- Dusky Pigment
		[785]	= { tries = 7298,	yields = 6517,		min = 2,	max = 3 },	-- Mageroyal
		[2450]	= { tries = 8146,	yields = 8145,		min = 2,	max = 4 },	-- Briarthorn
		[2452]	= { tries = 3951,	yields = 3951,		min = 2,	max = 4 },	-- Swiftthistle
		[2453]	= { tries = 7115,	yields = 7115,		min = 2,	max = 4 },	-- Bruiseweed
		[3820]	= { tries = 3556,	yields = 3556,		min = 2,	max = 4 },	-- Stranglekelp
	},
	[43103] = { -- Verdant Pigment
		[785]	= { tries = 7298,	yields = 1656,		min = 1,	max = 3 },	-- Mageroyal
		[2450]	= { tries = 8146,	yields = 1861,		min = 1,	max = 3 },	-- Briarthorn
		[2452]	= { tries = 3951,	yields = 902,		min = 1,	max = 3 },	-- Swiftthistle
		[2453]	= { tries = 7115,	yields = 3423,		min = 1,	max = 3 },	-- Bruiseweed
		[3820]	= { tries = 3556,	yields = 1736,		min = 1,	max = 3 },	-- Stranglekelp
	},
	[39338]	= {	-- Golden Pigment
		[3369]	= { tries = 1410,	yields = 1410,		min = 2,	max = 3 },	-- Grave Moss
		[3355]	= { tries = 4109,	yields = 4107,		min = 2,	max = 3 },	-- Wild Steelbloom
		[3356]	= { tries = 10204,	yields = 10200,		min = 2,	max = 4 },	-- Kingsblood
		[3357]	= { tries = 6702,	yields = 6702,		min = 2,	max = 4 },	-- Liferoot
	},
	[43104]	= {	-- Burnt Pigment
		[3369]	= { tries = 1410,	yields = 362,		min = 1,	max = 3 },	-- Grave Moss
		[3355]	= { tries = 4109,	yields = 1057,		min = 1,	max = 3 },	-- Wild Steelbloom
		[3356]	= { tries = 10204,	yields = 5086,		min = 1,	max = 3 },	-- Kingsblood
		[3357]	= { tries = 6702,	yields = 3351,		min = 1,	max = 3 },	-- Liferoot
	},
	[39339]	= {	-- Emerald Pigment
		[3818]	= { tries = 4206,	yields = 4197,		min = 2,	max = 3 },	-- Fadeleaf
		[3821]	= { tries = 6137,	yields = 6134,		min = 2,	max = 3 },	-- Goldthorn
		[3358]	= { tries = 6850,	yields = 6848,		min = 2,	max = 4 },	-- Khadgar's Whisker
		[3819]	= { tries = 719,	yields = 718,		min = 2,	max = 4 },	-- Wintersbite
	},
	[43105]	= {	-- Indigo Pigment
		[3818]	= { tries = 4206,	yields = 1067,		min = 1,	max = 3 },	-- Fadeleaf
		[3821]	= { tries = 6137,	yields = 1651,		min = 1,	max = 3 },	-- Goldthorn
		[3358]	= { tries = 6850,	yields = 3431,		min = 1,	max = 3 },	-- Khadgar's Whisker
		[3819]	= { tries = 719,	yields = 332,		min = 1,	max = 3 },	-- Wintersbite
	},
	[39340] = { -- Violet Pigment
		[4625]	= { tries = 2394,	yields = 2391,		min = 2,	max = 3 },	-- Firebloom
		[8831]	= { tries = 3476,	yields = 3469,		min = 2,	max = 3 },	-- Purple Lotus
		[8836]	= { tries = 1241,	yields = 1240,		min = 2,	max = 3 },	-- Arthas' Tears
		[8838]	= { tries = 4025,	yields = 4012,		min = 2,	max = 3 },	-- Sungrass
		[8839]	= { tries = 3596,	yields = 3596,		min = 2,	max = 4 },	-- Blindweed
		[8845]	= { tries = 586,	yields = 585,		min = 2,	max = 4 },	-- Ghost Mushroom
		[8846]	= { tries = 931,	yields = 929,		min = 2,	max = 4 },	-- Gromsblood
	},
	[43106] = { -- Ruby Pigment
		[4625]	= { tries = 2394,	yields = 669,		min = 1,	max = 3 },	-- Firebloom
		[8831]	= { tries = 3476,	yields = 887,		min = 1,	max = 3 },	-- Purple Lotus
		[8836]	= { tries = 1241,	yields = 344,		min = 1,	max = 3 },	-- Arthas' Tears
		[8838]	= { tries = 4025,	yields = 1051,		min = 1,	max = 3 },	-- Sungrass
		[8839]	= { tries = 3596,	yields = 1817,		min = 1,	max = 3 },	-- Blindweed
		[8845]	= { tries = 586,	yields = 306,		min = 2,	max = 4 },	-- Ghost Mushroom
		[8846]	= { tries = 931,	yields = 454,		min = 1,	max = 3 },	-- Gromsblood
	},
	[39341] = { -- Silvery Pigment
		[13464]	= { tries = 3002,	yields = 3000,		min = 2,	max = 3 },	-- Golden Sansam
		[13463]	= { tries = 3628,	yields = 3624,		min = 2,	max = 3 },	-- Dreamfoil
		[13465]	= { tries = 1921,	yields = 1918,		min = 2,	max = 4 },	-- Mountain Silversage
		[13466]	= { tries = 1870,	yields = 1863,		min = 2,	max = 4 },	-- Plaguebloom
		[13467]	= { tries = 1319,	yields = 1312,		min = 2,	max = 4 },	-- Icecap
	},
	[43107] = { -- Sapphire Pigment
		[13464]	= { tries = 3002,	yields = 788,		min = 1,	max = 3 },	-- Golden Sansam
		[13463]	= { tries = 3628,	yields = 959,		min = 1,	max = 3 },	-- Dreamfoil
		[13465]	= { tries = 1921,	yields = 959,		min = 1,	max = 3 },	-- Mountain Silversage
		[13466]	= { tries = 1870,	yields = 918,		min = 1,	max = 3 },	-- Plaguebloom
		[13467]	= { tries = 1319,	yields = 621,		min = 1,	max = 3 },	-- Icecap
	},
	[39342] = {	-- Nether Pigment
		[22786] = { tries = 3592,	yields = 3588,		min = 2,	max = 3 },	-- Dreaming Glory
		[22785] = { tries = 9079,	yields = 9073,		min = 2,	max = 4 },	-- Felweed
		[22789] = { tries = 789,	yields = 789,		min = 2,	max = 3 },	-- Terocone
		[22787] = { tries = 1398,	yields = 1398,		min = 2,	max = 3 },	-- Ragveil
		[22790] = { tries = 900,	yields = 900,		min = 2,	max = 4 },	-- Ancient Lichen
		[22793] = { tries = 1392,	yields = 1391,		min = 2,	max = 3 },	-- Mana Thistle
		[22791] = { tries = 412,	yields = 412,		min = 2,	max = 4 },	-- Netherbloom
		[22792] = { tries = 610,	yields = 610,		min = 2,	max = 4 },	-- Nightmare Vine
	},
	[43108] = {	-- Ebon Pigment
		[22786] = { tries = 3592,	yields = 881,		min = 1,	max = 3 },	-- Dreaming Glory
		[22785] = { tries = 9079,	yields = 2253,		min = 1,	max = 3 },	-- Felweed
		[22789] = { tries = 789,	yields = 210,		min = 1,	max = 3 },	-- Terocone
		[22787] = { tries = 1398,	yields = 350,		min = 1,	max = 3 },	-- Ragveil
		[22790] = { tries = 900,	yields = 412,		min = 1,	max = 3 },	-- Ancient Lichen
		[22793] = { tries = 1392,	yields = 730,		min = 1,	max = 3 },	-- Mana Thistle
		[22791] = { tries = 412,	yields = 203,		min = 1,	max = 3 },	-- Netherbloom
		[22792] = { tries = 610,	yields = 298,		min = 1,	max = 3 },	-- Nightmare Vine
	},
	[39343]	= {	-- Azure Pigment
		[37921] = { tries = 276,	yields = 255,		min = 2,	max = 3 },	-- Deadnettle
		[36901] = { tries = 321,	yields = 288,		min = 2,	max = 3 },	-- Goldclover
		[36907] = { tries = 121,	yields = 110,		min = 2,	max = 3 },	-- Talandra's Rose
		[36904] = { tries = 330,	yields = 308,		min = 2,	max = 3 },	-- Tiger Lily
		[36903] = { tries = 253,	yields = 222,		min = 2,	max = 4 },	-- Adder's Tongue
		[36906] = { tries = 57,		yields = 57,		min = 2,	max = 4 },	-- Icethorn
		[36905] = { tries = 54,		yields = 54,		min = 2,	max = 4 },	-- Lichbloom
	},
	[43109]	= {	-- Azure Pigment
		[37921] = { tries = 276,	yields = 88,		min = 1,	max = 3 },	-- Deadnettle
		[36901] = { tries = 321,	yields = 90,		min = 1,	max = 3 },	-- Goldclover
		[36907] = { tries = 121,	yields = 34,		min = 1,	max = 3 },	-- Talandra's Rose
		[36904] = { tries = 330,	yields = 90,		min = 1,	max = 3 },	-- Tiger Lily
		[36903] = { tries = 253,	yields = 152,		min = 1,	max = 4 },	-- Adder's Tongue
		[36906] = { tries = 57,		yields = 26,		min = 1,	max = 4 },	-- Icethorn
		[36905] = { tries = 54,		yields = 25,		min = 1,	max = 1 },	-- Lichbloom
	},
}

local LBZ = LibStub("LibBabble-Zone-3.0"):GetLookupTable()
-- Zones for use in the next table:
addon.ZoneMapping = {
	LBZ[ "Alterac Mountains" ],			-- 1
	LBZ[ "Arathi Highlands" ],			-- 2
	LBZ[ "Ashenvale" ],					-- 3
	LBZ[ "Azshara" ],					-- 4
	LBZ[ "Azuremyst Isle" ],			-- 5
	LBZ[ "Badlands" ],					-- 6
	LBZ[ "Blade's Edge Mountains" ],	-- 7
	LBZ[ "Blasted Lands" ],				-- 8
	LBZ[ "Borean Tundra" ],				-- 9
	LBZ[ "Burning Steppes" ],			-- 10
	LBZ[ "Darkshore" ],					-- 11
	LBZ[ "Desolace" ],					-- 12
	LBZ[ "Dragonblight" ],				-- 13
	LBZ[ "Dun Morogh" ],				-- 14
	LBZ[ "Durotar" ],					-- 15
	LBZ[ "Duskwood" ],					-- 16
	LBZ[ "Dustwallow Marsh" ],			-- 17
	LBZ[ "Eastern Plaguelands" ],		-- 18
	LBZ[ "Elwynn Forest" ],				-- 19
	LBZ[ "Eversong Woods" ],			-- 20
	LBZ[ "Felwood" ],					-- 21
	LBZ[ "Feralas" ],					-- 22
	LBZ[ "Ghostlands" ],				-- 23
	LBZ[ "Grizzly Hills" ],				-- 24
	LBZ[ "Hellfire Peninsula" ],		-- 25
	LBZ[ "Hillsbrad Foothills" ],		-- 26
	LBZ[ "Howling Fjord" ],				-- 27
	LBZ[ "Icecrown" ],					-- 28
	LBZ[ "Isle of Quel'Danas" ],		-- 29
	LBZ[ "Loch Modan" ],				-- 30
	LBZ[ "Mulgore" ],					-- 31
	LBZ[ "Nagrand" ],					-- 32
	LBZ[ "Netherstorm" ],				-- 33
	LBZ[ "Redridge Mountains" ],		-- 34
	LBZ[ "Searing Gorge" ],				-- 35
	LBZ[ "Shadowmoon Valley" ],			-- 36
	LBZ[ "Sholazar Basin" ],			-- 37
	LBZ[ "Silithus" ],					-- 38
	LBZ[ "Silverpine Forest" ],			-- 39
	LBZ[ "Stonetalon Mountains" ],		-- 40
	LBZ[ "Stranglethorn Vale" ],		-- 41
	LBZ[ "Swamp of Sorrows" ],			-- 42
	LBZ[ "Tanaris" ],					-- 43
	LBZ[ "Teldrassil" ],				-- 44
	LBZ[ "Terokkar Forest" ],			-- 45
	LBZ[ "The Barrens" ],				-- 46
	LBZ[ "The Hinterlands" ],			-- 47
	LBZ[ "The Storm Peaks" ],			-- 48
	LBZ[ "Thousand Needles" ],			-- 49
	LBZ[ "Tirisfal Glades" ],			-- 50
	LBZ[ "Un'Goro Crater" ],			-- 51
	LBZ[ "Western Plaguelands" ],		-- 52
	LBZ[ "Westfall" ],					-- 53
	LBZ[ "Wetlands" ],					-- 54
	LBZ[ "Winterspring" ],				-- 55
	LBZ[ "Zangarmarsh" ],				-- 56
	LBZ[ "Zul'Drak" ],					-- 57
}

-- Last updated from wowhead, 11/22/08
addon.nodeCounts = {
	[22710]	= {	-- Bloodthistle
		orange = "??", yellow = "??", green = "??", grey = "??",
		[20] = 76,
	},
	[2447]	= {	-- Peacebloom
		orange = "1", yellow = "25", green = "50", grey = "100",
		[44] = 90, [15] = 86, [46] = 79, [14] = 77, [50] = 76, [31] = 70, [19] = 69,
		[20] = 56, [39] = 36, [53] = 26, [5] = 22, [11] = 20, [30] = 17, [23] = 7,
	},
	[765]	= {	-- Silverleaf
		orange = "1", yellow = "25", green = "50", grey = "100",
		[19] = 111, [50] = 101, [44] = 98, [14] = 93, [15] = 75, [31] = 73, [20] = 72,
		[46] = 61, [39] = 52, [5] = 35, [11] = 34, [53] = 34, [30] = 23, [23] = 21,
	},
	[2449]	= {	-- Earthroot
		orange = "15", yellow = "40", green = "65", grey = "115",
		[14] = 59, [44] = 58, [46] = 56, [19] = 50, [15] = 49, [50] = 48, [31] = 46,
		[5] = 34, [20] = 29, [11] = 28, [39] = 22, [53] = 21, [23] = 18, [34] = 16, [30] = 9,
	},
	[785]	= {	-- Mageroyal
		orange = "50", yellow = "75", green = "100", grey = "150",
		[46] = 159, [39] = 51, [11] = 42, [53] = 42, [54] = 41, [3] = 22, [40] = 21,
		[30] = 19, [44] = 17, [26] = 16, [16] = 14, [23] = 14, [15] = 10, [34] = 7,
	},
	[2450]	= {	-- Briarthorn
		orange = "70", yellow = "95", green = "120", grey = "170",
		[46] = 147, [39] = 60, [54] = 57, [26] = 48, [16] = 41, [40] = 40, [3] = 39, 
		[53] = 39, [11] = 37, [30] = 11, [23] = 8, [34] = 7,
	},
	[2453]	= {	-- Bruiseweed
		orange = "100", yellow = "130", green = "150", grey = "200",
		[40] = 71, [46] = 62, [3] = 54, [26] = 43, [54] = 43, [16] = 35, [53] = 31,
		[49] = 20, [11] = 15, [39] = 13, [34] = 11, [12] = 9, [2] = 8, [1] = 7, [30] = 4
	},
	[3820]	= {	-- Stranglekelp
		orange = "85", yellow = "115", green = "135", grey = "185",
		[41] = 70, [46] = 43, [3] = 32, [54] = 30, [11] = 23, [53] = 21, [12] = 12,
		[22] = 8, [26] = 7, [42] = 6, [43] = 6, [47] = 5, [17] = 2,
	},

	[3369]	= {	-- Grave Moss
		orange = "120", yellow = "150", green = "170", grey = "220",
		[46] = 4, [16] = 26, [54] = 7, [12] = 25, [2] = 3, [1] = 2,
	},
	[3355]	= {	-- Wild Steelbloom
		orange = "115", yellow = "145", green = "165", grey = "215",
		[46] = 25, [40] = 39, [16] = 7, [49] = 17, [3] = 7, [54] = 14, [26] = 23, [2] = 51,
		[41] = 7, [6] = 3,
	},
	[3356]	= {	-- Kingsblood
		orange = "125", yellow = "155", green = "175", grey = "225",
		[46] = 35, [40] = 55, [16] = 18, [49] = 17, [3] = 51, [54] = 72, [26] = 41,
		[12] = 6, [2] = 43, [1] = 19, [41] = 108, [17] = 26, [43] = 17, [6] = 15,
	},
	[3357]	= {	-- Liferoot
		orange = "150", yellow = "175", green = "200", grey = "250",
		[3] = 10, [54] = 55, [26] = 13, [12] = 17, [2] = 26, [1] = 13, [41] = 76,
		[17] = 64, [42] = 43, [22] = 14, [47] = 9
	},
	[3818]	= {	-- Fadeleaf
		orange = "160", yellow = "190", green = "210", grey = "260",
		[2] = 31, [1] = 27, [41] = 39, [17] = 42, [42] = 27, [6] = 6, [47] = 12,
	},
	[3821]	= {	-- Goldthorn
		orange = "170", yellow = "195", green = "220", grey = "270",
		[2] = 58, [1] = 21, [41] = 112, [17] = 31, [42] = 33, [6] = 11, [22] = 55,
		[47] = 28, [4] = 9,
	},
	[3358]	= {	-- Khadgar's Whisker
		orange = "185", yellow = "210", green = "235", grey = "285",
		[2] = 48, [1] = 14, [41] = 94, [17] = 42, [42] = 28, [6] = 5, [22] = 52, [47] = 10,
		[4] = 20,
	},
	[3819]	= {	-- Wintersbite
		orange = "195", yellow = "225", green = "245", grey = "295",
		[1] = 34
	},

	[8831]	= {	-- Purple Lotus
		orange = "210", yellow = "240", green = "260", grey = "??",
		[41] = 29, [6] = 5, [43] = 36, [22] = 38, [47] = 59, [4] = 46,
	},
	[8839]	= {	-- Blindweed
		orange = "235", yellow = "260", green = "285", grey = "328+",
		[42] = 141, [51] = 15,
	},
	[4625]	= {	-- Firebloom
		orange = "205", yellow = "235", green = "255", grey = "300+",
		[6] = 13, [43] = 89, [35] = 49, [8] = 24,
	},
	[8838]	= {	-- Sungrass
		orange = "230", yellow = "255", green = "280", grey = "330",
		[22] = 91, [47] = 75, [4] = 68, [8] = 22, [21] = 18, [18] = 15, [52] = 28,
		[51] = 31, [10] = 9, [38] = 5
	},
	[13464]	= {	-- Golden Sansam
		orange = "260", yellow = "280", green = "315+", grey = "-363",
		[22] = 8, [47] = 15, [4] = 53, [21] = 20, [18] = 6, [51] = 25, [10] = 8, [38] = 6
	},
	[8845]	= {	-- Ghost Mushroom
		orange = "245", yellow = "270", green = "295", grey = "352+",
		[47] = 35,
	},
	[13463]	= {	-- Dreamfoil
		orange = "270", yellow = "-295", green = "-320", grey = "370",
		[4] = 67, [21] = 36, [18] = 37, [52] = 24, [51] = 23, [10] = 4, [38] = 8,
	},
	[13465]	= {	-- Mountain Silversage
		orange = "280", yellow = "-310", green = "330", grey = "??",
		[4] = 43, [21] = 27, [18] = 26, [52] = 12, [51] = 40, [10] = 6, [38] = 4, [55] = 68,
	},
	[8846]	= {	-- Gromsblood
		orange = "250", yellow = "275", green = "300", grey = "??",
		[8] = 36, [21] = 43,
	},
	[8836]	= {	-- Arthas' Tears
		orange = "220", yellow = "250", green = "270", grey = "-345",
		[21] = 26, [18] = 43, [52] = 45,
	},
	[13466]	= {	-- Plaguebloom
		orange = "285", yellow = "-314", green = "345+", grey = "375+",
		[21] = 48, [18] = 73, [52] = 53,
	},
	[13467]	= {	-- Icecap
		orange = "290", yellow = "315", green = "??", grey = "??",
		[55] = 150,
	},

	[22786]	= {	-- Dreaming Glory
	},
	[22785]	= {	-- Felweed
	},
	[22789]	= {	-- Terocone
	},
	[22787]	= {	-- Ragveil
	},
	[22790]	= {	-- Ancient Lichen
	},
	[22793]	= {	-- Mana Thistle
	},
	[22791]	= {	-- Netherbloom
	},
	[22792]	= {	-- Nightmare Vine
	},
	[37921]	= {	-- Deadnettle
	},
	[36901]	= {	-- Goldclover
	},
	[36907]	= {	-- Talandra's Rose
	},
	[36904]	= {	-- Tiger Lily
	},
	[36903]	= {	-- Adder's Tongue
	},
	[36906]	= {	-- Icethorn
	},
	[36905]	= {	-- Lichbloom
	},
	[36902]	= {	-- Constrictor Grass
	},
}
--[[
													56	25	33	32	45	36	7	29
Golden Sansam 		260		280		313-331	-363	54	65	15													
Ghost Mushroom 		245		270		295		352-	24															
Blindweed 			235		260		285		328-	71															
Dreamfoil 			270		-295	-320	370		53	73														
Mountain Silversage 280		-310	330					65														
Felweed				300		325		350				97	145	18	158	96	78	71									
Dreaming Glory		315		340		365		-415 	41	41	75	91	87	37	42									
Ragveil				325								180															
Flame Cap			335		-352					48															
Terocone			325		358-360	-419 						118	24										
Netherbloom			350		375								128													
Nightmare Vine		365		-400	-419				6				102	6									
Mana Thistle		375		-415							9	8	22	8	7	6								



													27	9	37	13	24	57	48	28
Goldclover					-375	-420			93	59	40	7	2			
Tiger Lily			400								14	14	51	8				
Talandra's Rose		-390												114		
Icethorn			430-													18	4

]]--